Name:           pandoc-citeproc
Version:        0.3.0.1
Release:        2%{?dist}
Summary:        Supports using pandoc with citeproc

Group:          Text/Processing
License:        BSD
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  alex
#BuildRequires:  chrpath
BuildRequires:  ghc-HTTP-devel
#BuildRequires:  ghc-aeson-devel
#BuildRequires:  ghc-aeson-pretty-devel
#BuildRequires:  ghc-attoparsec-devel
#BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-binary-devel
#BuildRequires:  ghc-blaze-html-devel
#BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
#BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extensible-exceptions-devel
BuildRequires:  ghc-filepath-devel
#BuildRequires:  ghc-hexpat-devel
#BuildRequires:  ghc-highlighting-kate-devel
#BuildRequires:  ghc-hs-bibutils-devel
#BuildRequires:  ghc-hslua-devel
#BuildRequires:  ghc-http-conduit-devel
#BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-old-locale-devel
#BuildRequires:  ghc-pandoc-devel
#BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
#BuildRequires:  ghc-rfc5051-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-syb-devel
#BuildRequires:  ghc-tagsoup-devel
#BuildRequires:  ghc-temporary-devel
#BuildRequires:  ghc-texmath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
#BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
#BuildRequires:  ghc-xml-devel
#BuildRequires:  ghc-yaml-devel
#BuildRequires:  ghc-zip-archive-devel
BuildRequires:  ghc-zlib-devel
BuildRequires:  happy
# End cabal-rpm deps
# uses sandboxing
BuildRequires:  cabal-dev
BuildRequires:  hsb2hs
BuildRequires:  pcre-devel%{?_isa}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The pandoc-citeproc library exports functions for using the citeproc system
with pandoc. It relies on citeproc-hs, a library for rendering bibliographic
reference citations into a variety of styles using a macro language called
Citation Style Language (CSL). More details on CSL can be found here:
<http://citationstyles.org/>.

Currently this package includes a copy of the citeproc-hs code. When
citeproc-hs is updated to be compatible, this package will simply depend on
citeproc-hs.

This package also contains an executable: pandoc-citeproc, which works as a
pandoc filter (pandoc >= 1.12), and also has a mode for converting
bibliographic databases a YAML format suitable for inclusion in pandoc YAML
metadata.


%prep
%setup -q

cabal-tweak-flag embed_data_files True


%build
cabal-dev install-deps
cabal-dev configure --prefix=%{_prefix} --libdir=%{_libdir}
cabal-dev build


%install
rm -rf %{buildroot}
cabal-dev copy --destdir=%{buildroot} -v

rm -rf %{buildroot}%{_libdir}/%{name}-%{version}
rm -rf %{buildroot}%{_datadir}/%{name}-%{version}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%doc README.md
%{_bindir}/%{name}
#%%{_datadir}/%{name}-%{version}
%{_mandir}/man1/%{name}.1* 


%changelog
* Sat Feb  1 2014 Jens Petersen <petersen@fedoraproject.org> - 0.3.0.1-2
- embed data files

* Wed Jan 29 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.0.1
- spec file generated by cabal-rpm-0.8.7
